<?php
ini_set('display_errors', 1);
error_reporting(E_ALL);
session_start();
require 'verifica_cookie.php';
require 'conexao.php';

$itens  = (isset($_POST['itens'])) ? rtrim($_POST['itens'], ', ') : '' ;
$venda  = (isset($_SESSION['VENDA'])) ? $_SESSION['VENDA'] : '' ;
$pdo      = Conexao::getInstance();
$contErro = 0;

if (empty($itens)):
	$contErro += 1;
endif;

if (empty($venda)):
	$contErro += 1;
endif;

if ($contErro):
	 $output = json_encode(array('status'=>'0', 'text' => 'Existem campos vazios!'));
     die($output);
endif;

$sql = "UPDATE vendaitem SET mobile_impressao = 'S', ite_011 = 'S', ite_008 = 'N' ";
$sql .= "WHERE ven_001 = :venda AND ite_001 IN ({$itens}) ";
$stm = $pdo->prepare($sql);
$stm->bindValue(':venda', $venda);
$retorno = $stm->execute();

$sql = "UPDATE vendaitem_pacote SET impresso = 0 ";
$sql .= "WHERE id_venda = :venda AND id_item IN ({$itens}) ";
$stm = $pdo->prepare($sql);
$stm->bindValue(':venda', $venda);
$retorno = $stm->execute();

if ($retorno):
	echo json_encode(array('status'=>'1', 'text' => 'Gravado com sucesso'));
else:
	echo json_encode(array('status'=>'0', 'text' => 'Erro ao gravar item!'));
endif;